Bug 741269 (CVE-2011-3774) - CVE-2011-3774 phpesp: Installation path disclosure via a direct request to a public/landing.php file
Summary: CVE-2011-3774 phpesp: Installation path disclosure via a direct request to a ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2011-3774
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20110130,reported=2...
Depends On: 741270
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 13:14 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 16:12:41 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-09-26 13:14:20 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-3774 to
the following vulnerability:

php Easy Survey Package (phpESP) 2.1.1 allows remote attackers to obtain sensitive information via a direct request to a .php file, which reveals the installation path in an error message, as demonstrated by public/landing.php and certain other files.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3774
[2] http://www.openwall.com/lists/oss-security/2011/06/27/6
[3] http://code.google.com/p/inspathx/source/browse/trunk/paths_vuln/%21_README
[4] http://code.google.com/p/inspathx/source/browse/trunk/paths_vuln/PHP-Easy-Survey-Package-2.1.1

Comment 1 Jan Lieskovsky 2011-09-26 13:15:29 UTC
This issue affects the version of the phpesp package, as shipped with Fedora release of 14 and 15. Please schedule an update.

Comment 2 Jan Lieskovsky 2011-09-26 13:16:38 UTC
Created phpesp tracking bugs for this issue

Affects: fedora-all [bug 741270]


Note You need to log in before you can comment on or make changes to this bug.